Summary: System Log Daemons
Name: sysklogd
Version: 1.5
Release: r13.0
License: GPLv2+ & BSD
Group: base
Packager: Wind River <info@windriver.com>
URL: http://www.infodrom.org/projects/sysklogd/
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/update-alternatives
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: update-rc.d-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: update-alternatives-cworth
Requires: libc.so.6()(64bit)
Requires: /bin/sh
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc6 >= 2.18+4.8
Requires: libc.so.6(GLIBC_2.7)(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): update-alternatives-cworth
Requires(post): libc.so.6()(64bit)
Requires(post): /bin/sh
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc6 >= 2.18+4.8
Requires(post): libc.so.6(GLIBC_2.7)(64bit)
Requires(preun): rtld(GNU_HASH)
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): update-alternatives-cworth
Requires(preun): libc.so.6()(64bit)
Requires(preun): /bin/sh
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): libc6 >= 2.18+4.8
Requires(preun): libc.so.6(GLIBC_2.7)(64bit)
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6(GLIBC_2.3)(64bit)
Requires(postun): update-alternatives-cworth
Requires(postun): libc.so.6()(64bit)
Requires(postun): /bin/sh
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): libc6 >= 2.18+4.8
Requires(postun): libc.so.6(GLIBC_2.7)(64bit)
Suggests: update-rc.d
Provides: /sbin/syslogd
Provides: /sbin/klogd
Provides: /etc/syslog.conf
Provides: /etc/init.d/syslog

%description
The sysklogd package implements two system log daemons: syslogd, klogd

%package -n sysklogd-logrotate
Summary: System Log Daemons
Group: base
Requires: sysklogd
Requires: logrotate
Conflicts: syslog-ng-logrotate

%description -n sysklogd-logrotate
The sysklogd package implements two system log daemons: syslogd, klogd

%package -n sysklogd-dbg
Summary: System Log Daemons - Debugging files
Group: devel
Suggests: libc6-dbg(x86_64)
Recommends: sysklogd = 1.5-r13.0

%description -n sysklogd-dbg
The sysklogd package implements two system log daemons: syslogd, klogd
This package contains ELF symbols and related sources for debugging
purposes.

%package -n sysklogd-staticdev
Summary: System Log Daemons - Development files (Static Libraries)
Group: devel
Requires: sysklogd-dev = 1.5-r13.0

%description -n sysklogd-staticdev
The sysklogd package implements two system log daemons: syslogd, klogd
This package contains static libraries for software development.

%package -n sysklogd-dev
Summary: System Log Daemons - Development files
Group: devel
Requires: sysklogd = 1.5-r13.0
Suggests: logrotate-dev
Suggests: update-alternatives-cworth-dev
Suggests: libc6-dev(x86_64)

%description -n sysklogd-dev
The sysklogd package implements two system log daemons: syslogd, klogd
This package contains symbolic links, header files, and related items
necessary for software development.

%package -n sysklogd-doc
Summary: System Log Daemons - Documentation files
Group: doc

%description -n sysklogd-doc
The sysklogd package implements two system log daemons: syslogd, klogd
This package contains documentation.

%package -n sysklogd-locale
Summary: System Log Daemons
Group: base

%description -n sysklogd-locale
The sysklogd package implements two system log daemons: syslogd, klogd

%post
# sysklogd - postinst
#!/bin/sh
	update-alternatives --install /sbin/syslogd syslogd /sbin/syslogd.sysklogd 100
	update-alternatives --install /sbin/klogd klogd /sbin/klogd.sysklogd 100
	update-alternatives --install /etc/init.d/syslog syslog-init /etc/init.d/syslog.sysklogd 100
	update-alternatives --install /etc/syslog.conf syslog-conf /etc/syslog.conf.sysklogd 100
if test "x$D" != "x"; then
	OPT="-r $D"
else
	OPT="-s"
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	update-rc.d $OPT syslog defaults
fi


%preun
# sysklogd - prerm
if [ "$1" = "0" ] ; then
if test "x$D" = "x"; then
	if test "$1" = "upgrade" -o "$1" = "remove"; then
		/etc/init.d/syslog stop
	fi
	fi
if test "x$D" = "x"; then
	/etc/init.d/syslog stop
fi
fi

%postun
# sysklogd - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  syslogd /sbin/syslogd.sysklogd
	update-alternatives --remove  klogd /sbin/klogd.sysklogd
	update-alternatives --remove  syslog-init /etc/init.d/syslog.sysklogd
	update-alternatives --remove  syslog-conf /etc/syslog.conf.sysklogd
if test "$D" != ""; then
	OPT="-f -r $D"
else
	OPT=""
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	update-rc.d $OPT syslog remove
fi
fi

%files
%defattr(-,-,-,-)
%dir "/etc"
%dir "/sbin"
%dir "/etc/init.d"
%config "/etc/syslog.conf.sysklogd"
"/etc/init.d/syslog.sysklogd"
"/sbin/syslogd.sysklogd"
"/sbin/klogd.sysklogd"

%files -n sysklogd-logrotate
%defattr(-,-,-,-)
%dir "/etc"
%dir "/etc/logrotate.d"
"/etc/logrotate.d/syslog"

%files -n sysklogd-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/sbin"
%dir "/usr/src"
%dir "/usr/src/debug"
%dir "/usr/src/debug/sysklogd"
%dir "/usr/src/debug/sysklogd/1.5-r13"
%dir "/usr/src/debug/sysklogd/1.5-r13/sysklogd-1.5"
"/usr/src/debug/sysklogd/1.5-r13/sysklogd-1.5/pidfile.c"
%dir "/sbin/.debug"
"/sbin/.debug/syslogd.sysklogd"
"/sbin/.debug/klogd.sysklogd"

%files -n sysklogd-dev
%defattr(-,-,-,-)

%files -n sysklogd-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man5"
%dir "/usr/share/man/man8"
"/usr/share/man/man5/syslog.conf.5"
"/usr/share/man/man8/klogd.8"
"/usr/share/man/man8/sysklogd.8"
"/usr/share/man/man8/syslogd.8"

